%define src_version 20121001
%define src_name    umeplus-fonts

Summary:	Japanese TrueType fonts
Name:		fonts-ttf-japanese
Version:	0.%{src_version}
Release:	%mkrel 9
License:	Distributable
URL:		http://www.geocities.jp/ep3797/modified_fonts_01.html
Group:		System/Fonts/True type
Source0:	https://downloads.sourceforge.net/mdk-ut/%{src_name}-%{src_version}.tar.lzma
Source3:	cidinst.japanese
Source4:	cidunin.japanese

BuildArch:	noarch
BuildRequires:	fontconfig
BuildRequires:	freetype-tools
Obsoletes:	xtt-fonts
Provides:	xtt-fonts

%description
This Package provides Free Japanese TrueType fonts (umeplus-gothic, 
umeplus-p-gothic)

%prep
%setup -q -n %{src_name}-%{src_version}

%install
mkdir -p %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 *.ttf %buildroot/%{_datadir}/fonts/TTF/japanese

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/japanese \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50

%files
%doc ChangeLog README
%doc docs-*/

%dir %_datadir/fonts/TTF/japanese/
%_datadir/fonts/TTF/japanese/*.ttf
%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.20121001-9.mga9
+ Revision: 1833988
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20121001-8.mga8
+ Revision: 1489527
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20121001-7.mga7
+ Revision: 1260629
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20121001-6.mga6
+ Revision: 942786
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20121001-5.mga5
+ Revision: 747643
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20121001-4.mga5
+ Revision: 679271
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20121001-3.mga4
+ Revision: 504525
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.20121001-2.mga3
+ Revision: 350676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.20121001-1.mga3
+ Revision: 316382
- new version 20121001

* Thu Jun 14 2012 fwang <fwang> 0.20120403-1.mga3
+ Revision: 260427
- new snapshot 20120403

* Tue Jun 28 2011 fwang <fwang> 0.20110512-1.mga2
+ Revision: 115171
- new version 20110512

* Thu Mar 03 2011 ennael <ennael> 0.20100418-2.mga1
+ Revision: 63518
- imported package fonts-ttf-japanese


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20100418-2mdv2011.0
+ Revision: 605196
- rebuild

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 0.20100418-1mdv2010.1
+ Revision: 538821
- New version 20100418

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.20091208-2mdv2010.1
+ Revision: 494143
- Don't require fontconfig for post/postun because we don't need it

* Thu Dec 24 2009 Funda Wang <fwang@mandriva.org> 0.20091208-1mdv2010.1
+ Revision: 482073
- new version 20091208

* Sat Jul 11 2009 Funda Wang <fwang@mandriva.org> 0.20090706-1mdv2010.0
+ Revision: 394440
- new version 20090706

* Sat May 09 2009 Funda Wang <fwang@mandriva.org> 0.20090507-1mdv2010.0
+ Revision: 373691
- New version 20090507

* Thu May 07 2009 Funda Wang <fwang@mandriva.org> 0.20090424-1mdv2010.0
+ Revision: 372920
- New version 20090424

* Mon Feb 09 2009 Funda Wang <fwang@mandriva.org> 0.20090209-1mdv2009.1
+ Revision: 338762
- New fonts

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.20081202-1mdv2009.1
+ Revision: 310707
- new snapshot of font

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.20081126-1mdv2009.1
+ Revision: 307469
- new snapshot of fonts

* Mon Oct 13 2008 Funda Wang <fwang@mandriva.org> 0.20081010-2mdv2009.1
+ Revision: 293078
- drop work around of flash

* Mon Oct 13 2008 Funda Wang <fwang@mandriva.org> 0.20081010-1mdv2009.1
+ Revision: 293072
- New version 20081010

* Mon Aug 04 2008 Funda Wang <fwang@mandriva.org> 0.20080804-1mdv2009.0
+ Revision: 262834
- New version 20080804

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 0.20080512-1mdv2009.0
+ Revision: 208605
- New version

* Mon Apr 21 2008 Funda Wang <fwang@mandriva.org> 0.20080409-1mdv2009.0
+ Revision: 196292
- New version 20080409

* Tue Feb 26 2008 Funda Wang <fwang@mandriva.org> 0.20080217-1mdv2008.1
+ Revision: 175231
- New version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.20080206-2mdv2008.1
+ Revision: 170838
- rebuild

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 0.20080206-1mdv2008.1
+ Revision: 163397
- New snapshot of fonts

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.20080116-1mdv2008.1
+ Revision: 156306
- New snapshot of fonts

* Mon Dec 31 2007 Funda Wang <fwang@mandriva.org> 0.20071210-1mdv2008.1
+ Revision: 139778
- New snapshot of fonts

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 0.20071011-1mdv2008.1
+ Revision: 102532
- New snapshot of fonts

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 0.20070806-1mdv2008.0
+ Revision: 75001
- New version 20070806

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 0.20070703-1mdv2008.0
+ Revision: 48866
- New version

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.20070517-2mdv2008.0
+ Revision: 48742
- fontpath.d conversion (#31756)
- minor cleanups

* Fri May 18 2007 Funda Wang <fwang@mandriva.org> 0.20070517-1mdv2008.0
+ Revision: 27767
- New upstream snapshot

* Sun Apr 29 2007 Funda Wang <fwang@mandriva.org> 0.20070404-1mdv2008.0
+ Revision: 19124
- upstream new snapshot.


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.20070226-1mdv2007.0
+ Revision: 125925
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Nov 02 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20061016-2mdv2007.1
+ Revision: 75914
- corrected requires on fontconfig

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.20061016-1mdv2007.1
+ Revision: 66016
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- follow new Ume fonts
- use Ume fonts for wide alphabet
- change url
- change the fontnames of umeplus (the author of Ume fonts requested it):
  o (Ume Gothic => UmePlus Gothic)
  o (Ume P Gothic => UmePlus P Gothic)
- use new M+ fonts for alphabet
- change the default Japanese font (sazanami => umeplus)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 0.20040629-8mdv2007.0
+ Revision: 52890
- Normalize fonts with new paths
- import fonts-ttf-japanese-0.20040629-7mdk

* Thu Feb 23 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20040629-7mdk
- fix for Macromedia Flash without need to export X11 font name as
  "Kochi" fonts.

* Mon Feb 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-6mdk
- add symlinks to old Japanese fonts (Kochi fonts).
  Macromedia Flash loads them.
- add modified fonts.dir for Kochi fonts (source1)

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-5mdk
- Fix fc-cache call

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-4mdk
- never ship fonts.cache-2

* Sun Nov 13 2005 Abel Cheung <deaddog@mandriva.org> 0.20040629-3mdk
- new fontconfig cache file name
- fix dependencies
- don't install ghostscript related file, gs-cjk is no more

* Sun Oct 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20040629-2mdk
- added CID install/uninstall scripts (so that ghostscript sees the fonts)

* Thu Jul 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-1mdk
- new release

* Mon Jun 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040621-4mdk
- fix release number

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040621-3mdk
- replace Kochi with Sazanami
- Sazanami is a successor to Kochi

* Tue Apr 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.20040217-2mdk
- fix buildrequires
- don't use () around commands, it will make rpm-build not exit on errors within the braces
- don't list files twice

